> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List binaries

> Retrieve all WebAssembly binaries owned by the authenticated client.
Binaries can be shared across multiple applications and include both WASI and Proxy-WASM formats.



## OpenAPI

````yaml /api-reference/services_documented/fastedge_api.yaml get /fastedge/v1/binaries
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: FastEdge Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: Apps
    x-displayName: Apps
  - description: >-
      Binaries are WebAssembly executables that are actually executed when app
      is ran.
    name: Binaries
    x-displayName: Binaries
  - description: Statistics of edge app use
    name: Stats
    x-displayName: Stats
  - description: Secret values that can be used in apps
    name: FastEdge Secrets
    x-displayName: Secrets
  - description: Key-value edge storage for apps
    name: Edge Storage
    x-displayName: Edge Storage
paths:
  /fastedge/v1/binaries:
    get:
      tags:
        - Binaries
      summary: List binaries
      description: >-
        Retrieve all WebAssembly binaries owned by the authenticated client.

        Binaries can be shared across multiple applications and include both
        WASI and Proxy-WASM formats.
      operationId: listBinaries
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  binaries:
                    items:
                      $ref: '#/components/schemas/binary_short'
                    type: array
                required:
                  - binaries
                type: object
          description: Returns list of all WebAssembly binaries owned by the client
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            binaries = client.fastedge.binaries.list()
            print(binaries.binaries)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tbinaries, err := client.Fastedge.Binaries.List(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", binaries.Binaries)\n}\n"
components:
  schemas:
    binary_short:
      required:
        - id
        - status
        - api_type
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: Binary ID
        status:
          type: integer
          description: |-
            Status code:  
            0 - pending  
            1 - compiled  
            2 - compilation failed (errors available)  
            3 - compilation failed (errors not available)  
            4 - resulting binary exceeded the limit  
            5 - unsupported source language
        unref_since:
          type: string
          description: Not used since (UTC)
        api_type:
          type: string
          description: Wasm API type
        checksum:
          type: string
          description: MD5 hash of the binary
        source:
          type: integer
          description: |-
            Source language:  
            0 - unknown  
            1 - Rust  
            2 - JavaScript  
            3 - Go
          minimum: 0
          maximum: 3
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````